Bug 1961466 - Some dropdown placeholder text on route creation page is not translated
Summary: Some dropdown placeholder text on route creation page is not translated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-18 03:24 UTC by Yadan Pei
Modified: 2021-07-27 23:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:08:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
placeholder text not translated - part one (292.00 KB, image/png)
2021-05-18 03:24 UTC, Yadan Pei
no flags Details
Select target port not translated (287.77 KB, image/png)
2021-05-18 03:26 UTC, Yadan Pei
no flags Details
all placeholder text are translated (283.00 KB, image/png)
2021-05-26 06:14 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8961 0 None open Bug 1961466: Some dropdown placeholder text on route creation page is not translated 2021-05-18 14:23:58 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:09:02 UTC

Description Yadan Pei 2021-05-18 03:24:48 UTC
Created attachment 1784280 [details]
placeholder text not translated - part one

Description of problem:
some dropdown placeholder text were not pseudo translated

Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-05-17-121817

How reproducible:
Always

Steps to Reproduce:
1. navigate to route creation page via Networking -> Routes -> click 'Create Route'
2. add ?pseudolocalization=true&lng=en suffix 
3. check pseudo translations

Actual results:
3. these placeholder text are not pseudo translated:
Select a service
Select target port
Select termination type
Select insecure traffic type

Expected results:
3. placeholder text should also be translated

Additional info:

Comment 1 Yadan Pei 2021-05-18 03:26:10 UTC
Created attachment 1784281 [details]
Select target port not translated

Comment 3 Yadan Pei 2021-05-26 06:14:58 UTC
Created attachment 1787090 [details]
all placeholder text are translated

1. navigate to route creation page via Networking -> Routes -> click 'Create Route'
2. add ?pseudolocalization=true&lng=en suffix 
3. check pseudo translations, now all placeholder text such as Select a service, Select target port, Select termination type and Select insecure traffic type are all pesudo translated

Verified on 4.8.0-0.nightly-2021-05-25-180327

Comment 6 errata-xmlrpc 2021-07-27 23:08:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.